services:
  mercure:
    image: dunglas/mercure
    restart: "no"
    environment:
      SERVER_NAME: ':80'
      MERCURE_PUBLISHER_JWT_KEY: '${MERCURE_JWT_SECRET:-!ChangeThisMercureHubJWTSecretKey!}'
      MERCURE_SUBSCRIBER_JWT_KEY: '${MERCURE_JWT_SECRET:-!ChangeThisMercureHubJWTSecretKey!}'
      MERCURE_EXTRA_DIRECTIVES: |
        cors_origins "*"
        anonymous 1
    networks:
      - ddev_default

networks:
  ddev_default:
    external: true
    name: ddev_default
